## org.apache.batik.swing
Class JSVGCanvas.AffineAction

    java.lang.Object
      javax.swing.AbstractAction
          org.apache.batik.swing.JSVGCanvas.AffineAction

All Implemented Interfaces:
  javax.swing.Action, java.awt.event.ActionListener, java.lang.Cloneable, java.util.EventListener, java.io.Serializable

Direct Known Subclasses:
  JSVGCanvas.RotateAction, JSVGCanvas.ScrollAction, JSVGCanvas.ZoomAction

Enclosing class:
  JSVGCanvas

public class JSVGCanvas.AffineAction
extends javax.swing.AbstractAction

A swing action to append an affine transform to the current rendering transform. Before the rendering transform is applied the method translates the center of the display to 0,0 so scale and rotate occur around the middle of the display.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`JSVGCanvas.AffineAction(java.awt.geom.AffineTransform at)`

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent evt)`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSVGCanvas.AffineAction

    public JSVGCanvas.AffineAction(java.awt.geom.AffineTransform at)

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.